<?
session_start();
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='../index.html'; </script>";
 return;
}

include("../opendb.php");
include("../test.php");


$re=mysqli_query($db,"select max(retno) from sparepurreturn where brcode='$brcode' and taxtype='$taxtype'");
$prow=mysqli_fetch_row($re);
if($prow[0]<=0)
 $retno=1;
else
 $retno=($prow[0]+1);



$entrydate=$y.'-'.$m.'-'.$d;
$i=0;
foreach($partcode as $a)
{
 $partcode[$i]=$a; 
 $i++;
}
$i=0;
foreach($partname as $a)
{
 $partname[$i]=$a; 
 $i++;
}
$i=0;
foreach($retqty as $a)
{
 $retqty[$i]=$a; 
 $i++;
}

$i=0;
foreach($price as $a)
{
 $price[$i]=$a; 
 $i++;
}

$i=0;
foreach($disc as $a)
{
 $disc[$i]=$a; 
 $i++;
}
$i=0;
foreach($aprice as $a)
{
 $aprice[$i]=$a; 
 $i++;
}

$i=0;
foreach($hand as $a)
{
 $hand[$i]=$a; 
 $i++;
}

$i=0;
foreach($tax as $a)
{
 $tax[$i]=$a; 
 $i++;
}
$i=0;
foreach($taxamt as $a)
{
 $taxamt[$i]=$a; 
 $i++;
}
$i=0;
foreach($cessp as $a)
{
 $cessp[$i]=$a; 
 $i++;
}
$i=0;
foreach($cessamt as $a)
{
 $cessamt[$i]=$a; 
 $i++;
}
$i=0;
foreach($tot as $a)
{
 $tot[$i]=$a; 
 $i++;
}
//
if($pv)
{
 $re=mysqli_query($db,"select brname from branch where brcode='$to_branch'")or die('err2'.mysqli_error());
 $rr=mysqli_fetch_row($re);
 $branch_na=$rr[0];
$c=1;
print "Purchase return #$retno Preview<table border=1>";
print "<th>No<th>Part Code <th>Part Name<th>Qty<th>Supplier<th>Location";
for($j=0;$j<$i;$j++)
{

	if($retqty[$j]>0)
	{
  $sql="select location from sparelocmast where itemcode='$partcode[$j]' and brcode='$brcode'";
  $locre=mysqli_query($db,$sql)or die(mysqli_error());
  $locrow=mysqli_fetch_array($locre);

$amtres=mysqli_query($db,"select lstprice from spareprmast where partcode='$partcode[$j]' order by effectfrom desc")or die(mysqli_error());
$amtrow=mysqli_fetch_row($amtres)or die(mysqli_error());

 print "<tr><td>".$c++."</td><td>$partcode[$j]</td><td>$partname[$j]</td><td align=right>$retqty[$j]";
 print "</td><td>$sup</td><td>$locrow[0]</td></tr>";
 $tq+=$retqty[$j];

        }
}
 print "<tr><td colspan=3><center>Total</td><td align=right>$tq</td><td>&nbsp;</td><td>&nbsp;</td>";
 print "<td align=right>".putComa($tamt)."</td></tr>";
return;
} // end if prev





//
$jvre=mysqli_query($db,"select max(jvno) from journal2 where brcode='$brcode'");
$jvrow=mysqli_fetch_row($jvre);
if($jvrow[0]<=0)
 $jvno=1;
else
 $jvno=($jvrow[0]+1);

for($j=0;$j<$i;$j++)
{
if($retqty[$j]>0)
{
  $sql="insert into sparepurreturn values('$purno','$sup','$pbillno','$entrydate','$partcode[$j]','$partname[$j]','$retqty[$j]','0','$price[$j]','$disc[$j]','$aprice[$j]','$hand[$j]','$tax[$j]','$taxamt[$j]','$tot[$j]','$brcode','$taxtype','$jvno','$cessp[$j]','$cessamt[$j]','$retno')";
  mysqli_query($db,$sql) or die('Err'.mysqli_error());
}
}

if($taxtype=='VAT')
{
 $taxdrres=mysqli_query($db,"select sum(aprice),tax from sparepurreturn where purno='$purno' and pbillno='$pbillno' and taxtype='VAT' and brcode='$brcode' and retno='$retno' group by tax");
  while($taxdrrow=mysqli_fetch_array($taxdrres))
  {
    $ledger='Spare Purchase VAT '.$taxdrrow[tax].'%';  
    $sql="insert into journal2 values('$entrydate','$jvno','Cr','$ledger','0','$taxdrrow[0]','Spare P Ret purno: $purno,PBill:$pbillno','$brcode','Spare P Ret','Purno','$purno','$retno')";
     mysqli_query($db,$sql) or die('Led Post Err1'.mysqli_error());
  }


 $taxres=mysqli_query($db,"select tax, sum(taxamt) from sparepurreturn where purno='$purno' and pbillno='$pbillno' and taxtype='VAT' and brcode='$brcode' and retno='$retno' group by tax");
  while($taxrow=mysqli_fetch_array($taxres))
  {
    $ledger='VAT Collected '.$taxrow[tax].'%';  
    $sql="insert into journal2 values('$entrydate','$jvno','Cr','$ledger','0','$taxrow[1]','Spare P Ret purno: $purno,PBill:$pbillno','$brcode','Spare P Ret','Pur no','$purno','$retno')";
     mysqli_query($db,$sql) or die('Led Post Err2'.mysqli_error());
  }

//*************** cess
 $taxcessres=mysqli_query($db,"select sum(cessamt),cessp from sparepurreturn where purno='$purno' and pbillno='$pbillno' and taxtype='VAT' and brcode='$brcode' and retno='$retno' group by purno")or die('cess err.'.mysqli_error());
  while($taxcessrow=mysqli_fetch_array($taxcessres))
  {
    $ledger='Cess Paid '.$taxcessrow[1].'%';
    $sql="insert into journal2 values('$entrydate','$jvno','Cr','$ledger','0','$taxcessrow[0]','Spare P Ret purno: $purno,PBill:$pbillno','$brcode','Spare P ret','Pur no','$purno','$retno')";
     mysqli_query($db,$sql) or die('Led Post Err6'.mysqli_error());
  }


//************************
 $taxcrres=mysqli_query($db,"select sum(tot) from sparepurreturn where purno='$purno' and pbillno='$pbillno' and taxtype='VAT' and brcode='$brcode' and retno='$retno'");
  while($taxcrrow=mysqli_fetch_array($taxcrres))
  {
    $sql="insert into journal2 values('$entrydate','$jvno','Dr','$sup','$taxcrrow[0]','0','Spare P Ret purno: $purno,PBill:$pbillno','$brcode','Spare P Ret','Pur No','$purno','$retno')";
     mysqli_query($db,$sql) or die('Led Post Err3'.mysqli_error());
  }
} // end if
else
{
//********************* CST
 $taxdrres=mysqli_query($db,"select sum(aprice),tax from sparepurreturn where purno='$purno' and pbillno='$pbillno' and taxtype='CST' and brcode='$brcode'  and retno='$retno' group by tax");
  while($taxdrrow=mysqli_fetch_array($taxdrres))
  {
    $ledger='Spare Purchase CST '.$taxdrrow[tax].'%';  
    $sql="insert into journal2 values('$entrydate','$jvno','Cr','$ledger','0','$taxdrrow[0]','Spare P Ret purno: $purno,PBill:$pbillno','$brcode','Spare Pur ret','Purno','$purno','$retno')";
     mysqli_query($db,$sql) or die('Led Post Err4'.mysqli_error());
  }


 $taxres=mysqli_query($db,"select tax, sum(taxamt) from sparepurreturn where purno='$purno' and pbillno='$pbillno' and taxtype='CST' and brcode='$brcode' and retno='$retno' group by tax");
  while($taxrow=mysqli_fetch_array($taxres))
  {
    $ledger='CST Collected '.$taxrow[tax].'%';  
    $sql="insert into journal2 values('$entrydate','$jvno','Cr','$ledger','0','$taxrow[1]','Spare P Ret purno: $purno,PBill:$pbillno','$brcode','Spare Pur ret','Purno','$purno','$retno')";
     mysqli_query($db,$sql) or die('Led Post Err5'.mysqli_error());
  }
//************************
 $taxcrres=mysqli_query($db,"select sum(tot) from sparepurreturn where purno='$purno' and pbillno='$pbillno' and taxtype='CST' and brcode='$brcode' and retno='$retno'");
  while($taxcrrow=mysqli_fetch_array($taxcrres))
  {
    $sql="insert into journal2 values('$entrydate','$jvno','Dr','$sup','$taxcrrow[0]','0','Spare P Ret purno: $purno,PBill:$pbillno','$brcode','Spare Pur ret','Pur Order','$porderno','$retno')";
     mysqli_query($db,$sql) or die('Led Post Err6'.mysqli_error());
  }
}

//**************************
$jvdifres=mysqli_query($db,"select sum(dramt)-sum(cramt) from journal2 where jvno='$jvno' and brcode='$brcode'");
$jvdifrow=mysqli_fetch_row($jvdifres);
$dif=$jvdifrow[0];

if($dif<0)
{
 $xx=abs($dif);
$sql="insert into journal2 values('$entrydate','$jvno','Dr','Round Off','".$xx."', '0','Round offPReturn No: $retno','$brcode','Spare Pur ret','Pur Order','$porderno','$retno')";
mysqli_query($db,$sql) or die("J V Write error dif1:".mysqli_error());
}
else if($dif>0)
{
 $xx=abs($dif);
 $sql="insert into journal2 values('$entrydate','$jvno','Cr','Round Off','0','".$xx."','Round offPReturn No: $retno','$brcode','Spare Pur ret','Pur Order','$porderno','$retno')";
mysqli_query($db,$sql) or die("J V Write error dif:".mysqli_error());
}

$jdres=mysqli_query($db,"select sum(dramt),sum(cramt) from journal2 where jvno='$jvno' and brcode='$brcode'");
$jdiff=mysqli_fetch_row($jdres);
if($jdiff[0]!=$jdiff[1]||$jdiff[0]==0)
{
 print "<sctipt> alert('Error in posting. Please check the data now');</script>";
}

?>
<script>
 alert('Data has been saved');
 document.location='preturn.php';
</script>
